'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
require('reakit-utils/useId');
var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
require('../Box/Box.js');
var __chunk_1 = require('../chunk-002fc018.js');
require('reakit-utils/mergeRefs');
require('reakit-utils/useLiveRef');
var useAllCallbacks = require('reakit-utils/useAllCallbacks');
var Tabbable = require('../Tabbable/Tabbable.js');
require('reakit-utils/useSealedState');
require('reakit-utils/useUpdateEffect');
require('reakit-utils/isPromise');
require('reakit-utils/isEmpty');
require('reakit-utils/isObject');
var FormState = require('./FormState.js');
require('./utils/setAllIn.js');
var getIn = require('./utils/getIn.js');
require('reakit-utils/toArray');
require('reakit-utils/isInteger');
require('./utils/setIn.js');
var __chunk_2 = require('../chunk-0ecca8fe.js');
var __chunk_3 = require('../chunk-79808ef5.js');
var __chunk_4 = require('../chunk-c9503aa1.js');
var __chunk_5 = require('../chunk-86b5bbe9.js');

var defaultClickKeys = [];
var unstable_useFormInput = createHook.createHook({
  name: "FormInput",
  compose: Tabbable.useTabbable,
  useState: FormState.unstable_useFormState,
  keys: ["name"],
  useProps: function useProps(options, _ref) {
    var htmlOnChange = _ref.onChange,
        htmlOnBlur = _ref.onBlur,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["onChange", "onBlur"]);

    var onChange = React.useCallback(function (event) {
      options.update(options.name, event.target.value);
    }, [options.update, options.name]);
    var onBlur = React.useCallback(function () {
      options.blur(options.name);
    }, [options.blur, options.name]);
    return __chunk_1._objectSpread({
      id: __chunk_3.getInputId(options.name, options.baseId),
      name: __chunk_2.formatInputName(options.name),
      value: getIn.unstable_getIn(options.values, options.name, ""),
      onChange: useAllCallbacks.useAllCallbacks(onChange, htmlOnChange),
      onBlur: useAllCallbacks.useAllCallbacks(onBlur, htmlOnBlur),
      "aria-describedby": __chunk_5.getMessageId(options.name, options.baseId),
      "aria-labelledby": __chunk_4.getLabelId(options.name, options.baseId),
      "aria-invalid": __chunk_5.shouldShowError(options, options.name)
    }, htmlProps);
  },
  useCompose: function useCompose(options, htmlProps) {
    return Tabbable.useTabbable(__chunk_1._objectSpread({}, options, {
      unstable_clickKeys: defaultClickKeys
    }), htmlProps);
  }
});
var unstable_FormInput = createComponent.createComponent({
  as: "input",
  useHook: unstable_useFormInput
});

exports.unstable_FormInput = unstable_FormInput;
exports.unstable_useFormInput = unstable_useFormInput;
