'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('reakit-utils/warning');
require('react');
require('reakit-utils/useId');
var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
require('../Box/Box.js');
var __chunk_1 = require('../chunk-002fc018.js');
var mergeRefs = require('reakit-utils/mergeRefs');
require('reakit-utils/useLiveRef');
require('reakit-utils/useAllCallbacks');
require('../Tabbable/Tabbable.js');
require('../Button/Button.js');
require('reakit-utils/useSealedState');
require('../Hidden/HiddenState.js');
require('../Dialog/DialogState.js');
require('../Hidden/HiddenDisclosure.js');
var DialogDisclosure = require('../Dialog/DialogDisclosure.js');
require('popper.js');
var PopoverState = require('./PopoverState.js');

var usePopoverDisclosure = createHook.createHook({
  name: "PopoverDisclosure",
  compose: DialogDisclosure.useDialogDisclosure,
  useState: PopoverState.usePopoverState,
  useProps: function useProps(options, _ref) {
    var htmlRef = _ref.ref,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["ref"]);

    return __chunk_1._objectSpread({
      ref: mergeRefs.mergeRefs(options.unstable_referenceRef, htmlRef)
    }, htmlProps);
  }
});
var PopoverDisclosure = createComponent.createComponent({
  as: "button",
  useHook: usePopoverDisclosure
});

exports.PopoverDisclosure = PopoverDisclosure;
exports.usePopoverDisclosure = usePopoverDisclosure;
