'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('reakit-utils/warning');
var React = require('react');
var useId = require('reakit-utils/useId');
var __chunk_1 = require('../chunk-002fc018.js');
var useSealedState = require('reakit-utils/useSealedState');
var RoverState = require('../Rover/RoverState.js');

function useTabState(initialState) {
  if (initialState === void 0) {
    initialState = {};
  }

  var _useSealedState = useSealedState.useSealedState(initialState),
      _useSealedState$unsta = _useSealedState.unstable_baseId,
      baseId = _useSealedState$unsta === void 0 ? useId.useId("tab-") : _useSealedState$unsta,
      _useSealedState$selec = _useSealedState.selectedId,
      sealedSelectedId = _useSealedState$selec === void 0 ? null : _useSealedState$selec,
      _useSealedState$loop = _useSealedState.loop,
      loop = _useSealedState$loop === void 0 ? true : _useSealedState$loop,
      _useSealedState$manua = _useSealedState.manual,
      manual = _useSealedState$manua === void 0 ? false : _useSealedState$manua,
      sealed = __chunk_1._objectWithoutPropertiesLoose(_useSealedState, ["unstable_baseId", "selectedId", "loop", "manual"]);

  var _React$useState = React.useState(sealedSelectedId),
      selectedId = _React$useState[0],
      select = _React$useState[1];

  var rover = RoverState.useRoverState(__chunk_1._objectSpread({
    loop: loop,
    currentId: selectedId
  }, sealed));
  return __chunk_1._objectSpread({}, rover, {
    unstable_baseId: baseId,
    selectedId: selectedId,
    manual: manual,
    select: select
  });
}
var keys = [].concat(RoverState.useRoverState.__keys, ["unstable_baseId", "selectedId", "select", "manual"]);
useTabState.__keys = keys;

exports.useTabState = useTabState;
