'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('reakit-utils/warning');
require('react');
require('reakit-utils/useId');
var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
require('../Box/Box.js');
require('../chunk-002fc018.js');
require('reakit-utils/mergeRefs');
require('reakit-utils/useSealedState');
require('../Hidden/HiddenState.js');
require('../Dialog/DialogState.js');
require('popper.js');
require('../Popover/PopoverState.js');
var PopoverArrow = require('../Popover/PopoverArrow.js');
var TooltipState = require('./TooltipState.js');

var useTooltipArrow = createHook.createHook({
  name: "TooltipArrow",
  compose: PopoverArrow.usePopoverArrow,
  useState: TooltipState.useTooltipState
});
var TooltipArrow = createComponent.createComponent({
  as: "div",
  useHook: useTooltipArrow
});

exports.TooltipArrow = TooltipArrow;
exports.useTooltipArrow = useTooltipArrow;
